#
# spec file for package xcb-util-errors
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

Name:           xcb-util-errors
%if 0%{?mklibname:1}
%define lname   %mklibname %{name} 0
%define dname   %mklibname %{name} -d
%else
%define lname   libxcb-util-errors0
%define dname   libxcb-util-errors-devel
%endif
Version:        1.0.1
Release:        %mkrel 1.6
Summary:        XCB errors library
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://xcb.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xcb/util-errors
#Git-Web:	http://cgit.freedesktop.org/xcb/util-errors/
Source:         http://xcb.freedesktop.org/dist/%name-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xcb) >= 1.4
BuildRequires:  pkgconfig(xcb-proto) >= 1.6
BuildRequires:  pkgconfig(xorg-macros) >= 1.6

%description
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

Included in this package is:

- errors: utility library that gives human readable names to error
  codes and event codes and also to major and minor numbers

%package -n %lname
Summary:        XCB errors library
Group:          System/Libraries

%description -n %lname
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

Included in this package is:

- errors: port of utility library that gives human readable names to error
  codes and event codes and also to major and minor numbers

%package -n %dname
Summary:        Development files for the XCB errors library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description -n %dname
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc COPYING
%_libdir/libxcb-errors.so.0*

%files -n %dname
%defattr(-,root,root)
%_includedir/xcb
%_libdir/libxcb-errors.so
%_libdir/pkgconfig/xcb-errors.pc

%changelog
* Wed Oct 19 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.1
  * Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters
  * Update m4 to xorg/util/xcb-util-m4@c617eee22ae5c285e79e81
  * gitlab CI: add a basic build test
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
  * Do not distribute extensions.c and fix out-of-tree builds
* Tue Apr 28 2015 hrvoje.senjan@gmail.com
- Install license with the library
* Mon Apr 27 2015 hrvoje.senjan@gmail.com
- Initial package
